net.i2p.util

## Class Executor

- java.lang.Object
- - net.i2p.util.Executor

All Implemented Interfaces:
  Runnable

     class Executor
    extends Object
    implements Runnable

### Constructor Summary

Constructors
Constructor and Description
`Executor(I2PAppContext ctx, Log log, List events, SimpleStore x)`

### Method Summary

Methods
`void` `run()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Executor

    public Executor(I2PAppContext ctx,
            Log log,
            List events,
            SimpleStore x)

### Method Detail

#### run

    public void run()

Specified by:
  `run` in interface `Runnable`